/******************************************************************************
Beispiel:      Polling

Beschreibung:  Dieses Beispiel zeigt die Verwendung des I2C-LS.
               
Hinweis:       Die I2C-SlaveAdresse des Lichtsensors kann bei der Initialisierung
               übergeben werden, folgende Werte sind möglich.
                I2C_LS_ADR_J1_GND 0x00 (default)
                I2C_LS_ADR_J1_VCC 0x00
                I2C_LS_ADR_J1_SCL 0x00
                I2C_LS_ADR_J1_SDA 0x00
               Wird keine Adresse angegeben wird die default verwendet.
               
               Die Wartezeit in der Loop sollte größer sein als die ConversionTime
               damit nicht mehrfach der gleiche Messwert ausgelesen wird.
******************************************************************************/
#include <stdio.h>
#include "I2C-LS.h"


/******************************************************************************
Definitionen
******************************************************************************/

/******************************************************************************
globale Variablen
******************************************************************************/

/******************************************************************************
Funktionen
******************************************************************************/
void setup()
{
  /* die serielle Ausgabe initialisieren */
  Serial.begin(115200);
  
  /* I2C-LS initialisieren mit I2C-Adresse */  
  I2C_LS.begin( I2C_LS_ADR_J1_GND );
  

  /* Lese Manufacturer ID vom ,Lichtsensor */
  Serial.print("Manufacturer ID: "); 
  Serial.println(I2C_LS.readManufacturerId(),HEX);

  /* Lese Device ID vom ,Lichtsensor */
  Serial.print("Device ID: ");
  Serial.println(I2C_LS.readDeviceId(),HEX);
  
  /* Initialisierung im Continouous Mode */
  I2C_LS.writeConfigReg( I2C_LS_CONFIG_CONT_FULL_800MS );
}

void loop()
{
  /* Read I2C-LS */
  Serial.print("LUX:");
  Serial.println(I2C_LS.readLuxFloat(), 2);
  delay(800);
}